Add environment variables
curl --request POST \
--url https://api.alpic.ai/v1/environments/{environmentId}/environment-variables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environmentVariables": [
{
"key": "<string>",
"value": "<string>",
"isSecret": false
}
]
}
'import requests
url = "https://api.alpic.ai/v1/environments/{environmentId}/environment-variables"
payload = { "environmentVariables": [
{
"key": "<string>",
"value": "<string>",
"isSecret": False
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({environmentVariables: [{key: '<string>', value: '<string>', isSecret: false}]})
};
fetch('https://api.alpic.ai/v1/environments/{environmentId}/environment-variables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}environments
Add environment variables
Add one or more environment variables to an environment
POST
/
v1
/
environments
/
{environmentId}
/
environment-variables
Add environment variables
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the environment
Body
application/json
Show child attributes
Show child attributes
Response
The environment variables have been added successfully
Was this page helpful?
⌘I